# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.91.1"
name = "feldera-macros"
version = "0.245.0"
authors = ["Feldera Team <dev@feldera.com>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Continuous streaming analytics engine"
homepage = "https://github.com/feldera/feldera"
readme = "README.md"
keywords = [
    "ivm",
    "analytics",
    "database",
    "incremental",
    "sql",
]
categories = [
    "algorithms",
    "data-structures",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/feldera/feldera"

[lib]
name = "feldera_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.prettyplease]
version = "0.2.29"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = ["full"]
